> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryprofound.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Category Personas



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/profound/openapi.documented.yml get /v1/org/categories/{category_id}/personas
openapi: 3.1.0
info:
  title: External API
  version: 6c43b49565a0c4e7cb023e22242cc3df28ee7153
servers:
  - url: https://api.tryprofound.com
    description: Production Server
security: []
paths:
  /v1/org/categories/{category_id}/personas:
    get:
      tags:
        - Organization
        - Categories
      summary: Get Category Personas
      operationId: get_category_personas_v1_org_categories__category_id__personas_get
      parameters:
        - name: category_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Category Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CategoryPersonasResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Profound from '@profoundai/client';


            const client = new Profound({
              apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.organizations.categories.getCategoryPersonas(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            );


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from profound import Profound

            client = Profound(
                api_key=os.environ.get("PROFOUND_API_KEY"),  # This is the default and can be omitted
            )
            response = client.organizations.categories.get_category_personas(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(response.data)
components:
  schemas:
    CategoryPersonasResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CategoryPersona'
          type: array
          title: Data
      type: object
      required:
        - data
      title: CategoryPersonasResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CategoryPersona:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        persona:
          $ref: '#/components/schemas/PersonaProfile'
      type: object
      required:
        - id
        - name
        - persona
      title: CategoryPersona
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PersonaProfile:
      properties:
        behavior:
          $ref: '#/components/schemas/PersonaProfileBehavior'
        employment:
          $ref: '#/components/schemas/PersonaProfileEmployment'
        demographics:
          $ref: '#/components/schemas/PersonaProfileDemographics'
      type: object
      required:
        - behavior
        - employment
        - demographics
      title: PersonaProfile
    PersonaProfileBehavior:
      properties:
        painPoints:
          anyOf:
            - type: string
            - type: 'null'
          title: Painpoints
        motivations:
          anyOf:
            - type: string
            - type: 'null'
          title: Motivations
      type: object
      title: PersonaProfileBehavior
    PersonaProfileEmployment:
      properties:
        industry:
          items:
            type: string
          type: array
          title: Industry
        jobTitle:
          items:
            type: string
          type: array
          title: Jobtitle
        companySize:
          items:
            type: string
          type: array
          title: Companysize
        roleSeniority:
          items:
            type: string
          type: array
          title: Roleseniority
      type: object
      title: PersonaProfileEmployment
    PersonaProfileDemographics:
      properties:
        ageRange:
          items:
            type: string
          type: array
          title: Agerange
      type: object
      title: PersonaProfileDemographics
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    BearerAuth:
      type: http
      scheme: bearer

````